%define upstream_name    String-Range-Expand
%define upstream_version v1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Expand range-like strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module provides functions to expand a string that contains range-like
expressions. This is something that is usually useful when working with
hostnames, but can be used elsewhere too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.1-7.mga10
+ Revision: 2200727
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.1-6.mga9
+ Revision: 1805785
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-5.mga8
+ Revision: 1497216
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.1-4.mga7
+ Revision: 1271236
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.1-3.mga6
+ Revision: 1033392
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 966895
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.0.1-1.mga6
+ Revision: 847035
- update to v1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 745736
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 686250
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 529244
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 451122
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 372822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 308690
- imported package perl-String-Range-Expand


* Sun Oct 21 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
